Skip to content
Primary navigation

Retrieve user

GET/organization/users/{user_id}

Retrieves a user by their identifier.

Path ParametersExpand Collapse
user_id: string
ReturnsExpand Collapse
OrganizationUser object { id, added_at, object, 13 more }

Represents an individual user within an organization.

id: string

The identifier, which can be referenced in API endpoints

added_at: number

The Unix timestamp (in seconds) of when the user was added.

formatunixtime
object: "organization.user"

The object type, which is always organization.user

api_key_last_used_at: optional number

The Unix timestamp (in seconds) of the user’s last API key usage.

formatunixtime
created: optional number

The Unix timestamp (in seconds) of when the user was created.

formatunixtime
developer_persona: optional string

The developer persona metadata for the user.

email: optional string

The email address of the user

is_default: optional boolean

Whether this is the organization’s default user.

is_scale_tier_authorized_purchaser: optional boolean

Whether the user is an authorized purchaser for Scale Tier.

is_scim_managed: optional boolean

Whether the user is managed through SCIM.

is_service_account: optional boolean

Whether the user is a service account.

name: optional string

The name of the user

projects: optional object { data, object }

Projects associated with the user, if included.

data: array of object { id, name, role }
id: optional string
name: optional string
role: optional string
object: "list"
role: optional string

owner or reader

technical_level: optional string

The technical level metadata for the user.

user: optional object { id, object, banned, 5 more }

Nested user details.

id: string
object: "user"
banned: optional boolean
banned_at: optional number
formatunixtime
email: optional string
enabled: optional boolean
name: optional string
picture: optional string

Retrieve user

curl https://api.openai.com/v1/organization/users/user_abc \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "organization.user",
    "id": "user_abc",
    "name": "First Last",
    "email": "user@example.com",
    "role": "owner",
    "added_at": 1711471533
}
Returns Examples
{
    "object": "organization.user",
    "id": "user_abc",
    "name": "First Last",
    "email": "user@example.com",
    "role": "owner",
    "added_at": 1711471533
}